
Redmine - Defect #21504

IssuePriority.position_name not recalculated every time it should

2015-12-13 20:52 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 3.1.4   

Resolution: Fixed Affected version:  

Description

The position_name attribute of IssuePriority instances is currently only recalculated when the position of the IssuePriority instance

changes source:/tags/3.2.0/app/models/issue_priority.rb#L22

However, the position_name should also be recalculated when the active attribute changes.

I would even argue that that operation is quick enough, and that changes to the IssuePriority list are not frequent and done by

administrators, so that the recalculation of the position_name can be done on after_save without filtering.

Patch to follow.

Associated revisions

Revision 14988 - 2015-12-20 13:32 - Jean-Philippe Lang

IssuePriority.position_name not recalculated every time it should (#21504).

Patch by Felix Schäfer.

Revision 14989 - 2015-12-20 15:07 - Jean-Philippe Lang

IssuePriority.position_name not recalculated every time it should (#21504).

Patch by Felix Schäfer.

Revision 15014 - 2016-01-09 09:41 - Jean-Philippe Lang

Merged r14988 and r14988 (#21504).

Revision 15015 - 2016-01-09 09:41 - Jean-Philippe Lang

Merged r14988 and r14988 (#21504).

History

#1 - 2015-12-13 21:06 - Felix Schäfer

- File 21504-recalculate_issue_priority_position_name_on_active_change.patch added

#2 - 2015-12-20 13:47 - Jean-Philippe Lang

- Category set to Administration

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.4

- Resolution set to Fixed

Felix Schäfer wrote:

I would even argue that that operation is quick enough, and that changes to the IssuePriority list are not frequent and done by administrators, so

that the recalculation of the position_name can be done on after_save without filtering.

 Sure, it's quick enough and this issue would not occur but code that runs when it's actually needed is also a good thing.

Patch committed, thanks.
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.2.0/app/models/issue_priority.rb#L22


#3 - 2016-01-09 09:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

21504-recalculate_issue_priority_position_name_on_active_change.patch2.12 KB 2015-12-13 Felix Schäfer
